The Group Grouping Detail service allows you to pass in a group_grouping_id and have the details of that group grouping returned to you.
Service Name
group_grouping_detail
Required Parameters
| Name | Type |
|---|---|
| group_grouping_id | integer |
Optional Parameters
None
Example Curl
curl -u user:pass "https://yourchurch.ccbchurch.com/api.php?srv=group_grouping_detail&group_grouping_id=1"Example Response XML
<?xml version="1.0" encoding="UTF-8"?>
<ccb_api>
<request>
<parameters>
<argument value="group_grouping_detail" name="srv"/>
<argument value="9" name="group_grouping_id"/>
</parameters>
</request>
<response>
<service>group_grouping_detail</service>
<service_action>execute</service_action>
<availability>public</availability>
<group_groupings count="1">
<group_grouping id="9">
<name>Pro - Bookkeeping</name>
<order_by>9</order_by>
<owner id="1">
<first_name>Larry</first_name>
<last_name>Cucumber</last_name>
<full_name>Larry Cucumber</full_name>
<email>[email protected]</email>
<phones>
<phone type="mobile">0123456789</phone>
</phones>
</owner>
<editable>1</editable>
<listed>1</listed>
<creator id="0">System User</creator>
<modifier id="0">System User</modifier>
<created>0000-00-00 00:00:00</created>
<modified>2001-12-06 23:29:49</modified>
</group_grouping>
</group_groupings>
</response>
</ccb_api>